Bug 1118685 - rubygem-omniauth-1.3.1 is available
Summary: rubygem-omniauth-1.3.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-omniauth
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 09:10 UTC by Upstream Release Monitoring
Modified: 2016-08-27 10:41 UTC (History)
2 users (show)

Fixed In Version: rubygem-omniauth-1.3.1-1.fc26 rubygem-omniauth-1.3.1-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:41:54 UTC


Attachments (Terms of Use)
[patch] Update to 1.3.0 (#1118685) (1.06 KB, patch)
2015-12-20 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.3.1 (#1118685) (1.06 KB, patch)
2015-12-21 00:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 1.3.1 (2.79 KB, patch)
2016-08-03 19:45 UTC, Jun Aruga
no flags Details | Diff
omniauth-1.3.1-tests.tgz (8.70 KB, application/x-gzip)
2016-08-03 19:45 UTC, Jun Aruga
no flags Details

Description Upstream Release Monitoring 2014-07-11 09:10:41 UTC
Latest upstream release: 1.2.2
Current version/release in Fedora Rawhide: 1.2.1-3.fc21
URL: http://rubygems.org/api/v1/gems/omniauth.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-12-20 12:15:22 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.2.1-4.fc23
URL: http://rubygems.org/gems/omniauth

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 2 Upstream Release Monitoring 2015-12-20 12:15:32 UTC
Created attachment 1107957 [details]
[patch] Update to 1.3.0 (#1118685)

Comment 3 Upstream Release Monitoring 2015-12-20 12:18:48 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12262185

Comment 4 Upstream Release Monitoring 2015-12-21 00:18:18 UTC
Latest upstream release: 1.3.1
Current version/release in rawhide: 1.2.1-4.fc23
URL: http://rubygems.org/gems/omniauth

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-12-21 00:18:29 UTC
Created attachment 1108142 [details]
[patch] Update to 1.3.1 (#1118685)

Comment 6 Upstream Release Monitoring 2015-12-21 00:21:12 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12263673

Comment 7 Jun Aruga 2016-08-03 19:11:12 UTC
Now this module has broken dependency for rack.
If we update this package to 1.3.1, it is fixed.
I will fix this.

Comment 8 Jun Aruga 2016-08-03 19:45:16 UTC
Created attachment 1187187 [details]
Update to 1.3.1

Hi, I updated to 1.3.1 to fix rack's broken dependency.

If you update this patch to master(rawhide) and f25 branch, you can fix it.
or I can push it by myself, if you give me commit ACL (I am going to request it on PkgDB soon).


# Highlight

- I prepared test files as the spec directory was removed from the gem file on 1.3.1.
- I compared the spec file created by latest version, with your spec file.
  Then I updated several things based on the result.
- The result of rpmlint is ok.
- The affection of package dependency after updating this to 1.3.1, is ok.
  No package does depends on this package for rawhide and f25 branch.
- files section: 
  Adding several files to %files doc based on the result of latest gem2rpm.

Could you check my patch?
Thanks.

Comment 9 Jun Aruga 2016-08-03 19:45:45 UTC
Created attachment 1187188 [details]
omniauth-1.3.1-tests.tgz

Comment 10 Fedora Admin XMLRPC Client 2016-08-10 21:08:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Upstream Release Monitoring 2016-08-11 08:33:38 UTC
jaruga's rubygem-omniauth-1.3.1-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=790836

Comment 12 Fedora Update System 2016-08-11 08:47:32 UTC
rubygem-omniauth-1.3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7b1cb385f

Comment 13 Fedora Update System 2016-08-11 16:56:21 UTC
rubygem-omniauth-1.3.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7b1cb385f

Comment 14 Fedora Update System 2016-08-27 10:41:51 UTC
rubygem-omniauth-1.3.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.